
.section {
  display: block;
  padding: 2rem;
}

@media screen and (min-width: 768px) {
  .section {
    padding: 3rem;
  }
}


h1 {
  font-size: 2rem;
  margin: 0 0 1.5em;
}

.grid {
  display: grid;
  grid-gap: 30px;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-auto-rows: 150px;
  grid-auto-flow: row dense;
}

.item {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  box-sizing: border-box;
  background: #0c9a9a;
  color: #fff;
  background-image: url("images/banner/1.jpeg");

  background-size: cover;
  background-position: center;
  box-shadow: -2px 2px 10px 0px rgba(68, 68, 68, 0.4);
  transition: transform 0.3s ease-in-out;
  cursor: pointer;
  counter-increment: item-counter;
}

.item:nth-of-type(1) {
    background-image: url("images/banner/6.jpeg");
  }
  
  .item:nth-of-type(2) {
    background-image: url("images/banner/4.jpeg");
  }
  
  .item:nth-of-type(3) {
    background-image: url("images/banner/3.jpeg");
  }
  
  .item:nth-of-type(4) {
    background-image: url("images/banner/15.jpeg");
  }
  
  .item:nth-of-type(5) {
    background-image: url("images/banner/test.jpeg");
  }
  
  .item:nth-of-type(6) {
    background-image: url("images/banner/2.jpeg");
  }
  
  .item:nth-of-type(7) {
    background-image: url("images/banner/13.jpeg");
  }
  
  .item:nth-of-type(8) {
    background-image:url("images/banner/12.jpeg");
  }
  
  .item:nth-of-type(9) {
    background-image: url("images/banner/9.jpeg");
  }
  
  .item:nth-of-type(10) {
    background-image: url("images/banner/14.jpeg");
  }
  
  .item:nth-of-type(11) {
    background-image: url("images/banner/16.jpeg");
  }
  
  .item:nth-of-type(12) {
    background-image: url("images/banner/10.jpeg");
  }
  
  .item:nth-of-type(13) {
    background-image: url("images/banner/17.jpeg");
  }
  


.item:after {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: black;
  opacity: 0.3;
  transition: opacity 0.3s ease-in-out;
}

.item:hover {
  transform: scale(1.05);
}

.item:hover:after {
  opacity: 0;
}


.item--medium {
  grid-row-end: span 2;
}

.item--large {
  grid-row-end: span 3;
}

.item--full {
  grid-column-end: auto;
}

.gallery-h2 {
    color: #000000;
    font-size: 36px;
    font-weight: 700;
    margin-top: 20px;
    margin-bottom: 40px;
    text-align: center;
}

@media screen and (min-width: 768px) {
  .item--full {
    grid-column: 1 / -1;
    grid-row-end: span 2;
  }

}

@media screen and (max-width: 768px) {
  
    .gallery-h2 {
      font-size: 25px;
    }
  }
  
